import numpy as np
import pandas as pd
import csv
import matplotlib.pyplot as plt




tfsee = pd.read_csv('clustering_tfs.csv')

tfsee_cluster1 = tfsee[tfsee['cluster'] == 0]


tfsee_cluster1['early'] = tfsee_cluster1[['ES_D0','ES_D2','ES_D5']].mean(axis=1)
tfsee_cluster1['late'] = tfsee_cluster1[['ES_D7','ES_D10']].mean(axis=1)
tfsee_cluster1['diff'] = tfsee_cluster1['early'] - tfsee_cluster1['late']
tfsee_cluster1['rank'] = tfsee_cluster1['diff'].rank()

x = list(tfsee_cluster1['rank'])

z = np.polyfit(tfsee_cluster1['rank'], tfsee_cluster1['diff'], 3)
f = np.poly1d(z)
x_new = np.linspace(1, 24, num=len(x)*10)


plt.figure(figsize=(25,20))316A45
plt.plot(x_new, f(x_new), color = 'k', linewidth=4.0)
plt.scatter(x=tfsee_cluster1['rank'], y=tfsee_cluster1['diff'], color='#316A45', s=600)
plt.ylim([-1.5,4.5])
plt.xlim([0,25])
plt.suptitle('Early Enriched TFS', fontsize=8, fontweight='bold')
plt.xlabel('Rank Order',fontsize=8, fontweight='bold')
plt.ylabel('delta z',fontsize=8, fontweight='bold')
plt.savefig('cluster1_enriched_tfs.png')
plt.clf()



tfsee_cluster3 = tfsee[tfsee['cluster'] == 2]


tfsee_cluster3['early'] = tfsee_cluster3[['ES_D0','ES_D2','ES_D5']].mean(axis=1)
tfsee_cluster3['late'] = tfsee_cluster3[['ES_D7','ES_D10']].mean(axis=1)
tfsee_cluster3['diff'] = tfsee_cluster3['late'] - tfsee_cluster3['early']
tfsee_cluster3['rank'] = tfsee_cluster3['diff'].rank()

x = list(tfsee_cluster3['rank'])

z = np.polyfit(tfsee_cluster3['rank'], tfsee_cluster3['diff'], 3)
f = np.poly1d(z)
x_new = np.linspace(1, 17, num=len(x)*10)


plt.figure(figsize=(25,20))
plt.plot(x_new, f(x_new), color = 'k', linewidth=4.0)
plt.scatter(x=tfsee_cluster3['rank'], y=tfsee_cluster3['diff'], color='#3999CA', s=600)
plt.ylim([-1.5,4.5])
plt.xlim([0,20])
plt.suptitle('Late Enriched TFS', fontsize=8, fontweight='bold')
plt.xlabel('Rank Order',fontsize=8, fontweight='bold')
plt.ylabel('delta z',fontsize=8, fontweight='bold')
plt.savefig('cluster3_enriched_tfs.png')
plt.clf()
